MARTe2-core - User story #126

MARTe-EX-F-1.1.12: The framework shall provide portable methods that allow to atomically
increment and decrement basic type variables.

29.05.2015 14:19 - André Neto

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 16.00 hours
Target version: 0.1 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement requirement MARTe-EX-F-1.1.12 based on the original MARTe implementation

Note: In order to support fast multi-threading applications it is important for framework developers to guarantee simple atomic
operations without having to require to operating system semaphores.

Note: Add 64 bit native support

Note: Use intrinsic in Visual Studio C++ compiler

Source code files modified

e Source/Core/LOPortability/Architecture/x86_cl/AtomicA.h
Source/Core/LOPortability/Architecture/x86_gcc/AtomicA.h
Source/Core/L0Portability/Atomic.cpp
Source/Core/L0Portability/Atomic.h
Test/Core/LOPortability/AtomicTest.h
Test/Core/LOPortability/AtomicTest.cpp
Test/GTest/AtomicGTest.cpp

Architecture & design review

Date of the review: 05/06/2015

Person who did the review: Andre’ Neto

Version of architecture & design document: N/A. This is a support class and does not require formal design in UML.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 18/06/2015
Person who did the review: lvan Herrero
Result of review: PASS

List of non-conformities: N/A

Unit test review
Date of the review: 30/06/2015

Person who did the review: Andre Neto

Result of coverage tests review: PASS [100%)]
Result of functional tests review: PASS [100%)]
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 3d0bc7e0 - 12.06.2015 08:48 - Giuseppe Ferro

Corrected Atomic and Endianity classes.
#125 #126

Revision 1e1da8ef - 12.06.2015 09:08 - Giuseppe Ferro

Correcter volatile position in Atomic class #126

Revision 9239de2e - 12.06.2015 09:12 - Giuseppe Ferro

Corrected volatile position in atomic architecture class #126

Revision €392a052 - 18.06.2015 08:26 - Giuseppe Ferro

Fixed errors accordingly with revision
#126

Revision 4d23ca90 - 22.06.2015 16:22 - Giuseppe Ferro

Added Atomic tests.
#126

Revision f0d3fca3 - 22.06.2015 16:50 - Giuseppe Ferro
Revert "Added Atomic tests. #126"

This reverts commit 4d23ca90718e8120ad73c3114e16e3f382889338.

Revision 33¢229f6 - 25.06.2015 08:12 - Giuseppe Ferro

Added template to AtomicGTest.cpp
#126

Revision aa37247a - 02.07.2015 15:45 - Giuseppe Ferro

Fixed code accordingly with revision.
#126

Revision 8c11cd66 - 02.07.2015 16:16 - Giuseppe Ferro
Minor changes

#125 #126

History

#1 - 03.06.2015 10:16 - Riccardo Vitelli

- Description updated

- Target version changed from Backlog to 0.1
- Start date deleted (29.05.2015)

- Estimated time set to 16.00 h

#2 - 05.06.2015 10:45 - Riccardo Vitelli

- Status changed from New to Arch: Rev

#3 - 05.06.2015 10:45 - Riccardo Vitelli

12.04.2025

2/5




- Assignee set to André Neto

#4 - 05.06.2015 14:32 - André Neto
- Description updated

#5 - 08.06.2015 09:24 - Riccardo Vitelli
- Status changed from Arch: Rev to Code: Impl

#6 - 08.06.2015 09:24 - Riccardo Vitelli

- Assignee changed from André Neto to Giuseppe Ferro

#7 - 08.06.2015 17:53 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#8 - 08.06.2015 17:53 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#9 - 09.06.2015 16:26 - lvan Herrero

- Description updated

#10 - 10.06.2015 09:18 - Riccardo Vitelli

- Assignee changed from Ivan Herrero to Giuseppe Ferro

#11 - 10.06.2015 09:18 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#12 - 12.06.2015 10:29 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#13 - 12.06.2015 11:16 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#14 - 16.06.2015 13:19 - Ivan Herrero

- Description updated

#15 - 16.06.2015 14:58 - Ilvan Herrero

- Description updated

#16 - 16.06.2015 16:04 - Ivan Herrero

- Description updated

#17 - 16.06.2015 16:11 - lvan Herrero

- Description updated

#18 - 17.06.2015 17:12 - Ilvan Herrero

- Description updated

#19 - 18.06.2015 09:48 - Ivan Herrero

- Assignee changed from Ivan Herrero to Giuseppe Ferro

#20 - 18.06.2015 15:29 - Ivan Herrero
- Description updated

- Assignee deleted (Giuseppe Ferro)

#21 - 18.06.2015 15:29 - Ivan Herrero
- Status changed from Code: Rev to Unit: Impl
#22 - 18.06.2015 18:18 - lvan Herrero

Code and documentation review passed. Unit testing implementation pending.

#23 - 22.06.2015 17:41 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#24 - 23.06.2015 18:08 - André Neto
- Status changed from Unit: Impl to Unit: Rev

#25 - 23.06.2015 18:09 - André Neto
- Assignee deleted (Giuseppe Ferro)

#26 - 30.06.2015 17:33 - André Neto

- Assignee set to André Neto

#27 - 30.06.2015 18:00 - André Neto
- Description updated

#28 - 01.07.2015 10:06 - Riccardo Vitelli
- Status changed from Unit: Rev to Unit: Impl

#29 - 01.07.2015 10:07 - Riccardo Vitelli
- Assignee deleted (André Neto)

#30 - 02.07.2015 15:49 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#31 - 02.07.2015 15:50 - Riccardo Vitelli

- Assignee set to André Neto

#32 - 02.07.2015 16:03 - André Neto
- Description updated

#33 - 02.07.2015 16:19 - André Neto
- Description updated

#34 - 02.07.2015 16:21 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed

#35 - 02.07.2015 16:21 - Riccardo Vitelli
- Assignee deleted (André Neto)

#36 - 02.07.2015 16:22 - Riccardo Vitelli
- % Done changed from 0 to 100

#37 - 02.07.2015 16:23 - Riccardo Vitelli

- Tracker changed from User story to Test

#38 - 02.07.2015 16:24 - Riccardo Vitelli

- Tracker changed from Test to User story

#39 - 02.07.2015 16:24 - Riccardo Vitelli
- Status changed from Closed to 13

#40 - 02.07.2015 16:25 - Riccardo Vitelli
- Status changed from 13 to Closed
#41 - 02.07.2015 16:25 - Riccardo Vitelli
- Target version deleted (0.1)

#42 - 02.07.2015 16:26 - Riccardo Vitelli

- Target version set to 0.1

#43 - 02.07.2015 16:26 - Riccardo Vitelli
- Due date set to 01.07.2015

#44 - 02.07.2015 16:26 - Riccardo Vitelli
- Due date deleted (01.07.2015)
